## apache-perl 1.3.9-14.1-1.21.20000309-1

=== Makefile ===
##
##  Makefile -- Apache Extension Modules top-level Makefile
##  Written by Ralf S. Engelschall <rse@apache.org>
##

V=1.0.7

SUBDIRS= \
    mod_allowdev         \
    mod_auth_cookie      \
    mod_auth_cookie_file \
    mod_auth_external    \
    mod_auth_inst        \
    mod_auth_system      \
    mod_eaccess          \
    mod_bandwidth        \
    mod_urlcount         \
    mod_disallow_id      \
    mod_peephole         \
    mod_put              \
    mod_qs2ssi           \
    mod_session          \
    mod_roaming          \
    mod_ip_forwarding    \
    mod_macro

EXTRA_SUBDIRS= \
    mod_define          

EXTRA      = 0
APXS       = apxs
APXSFLAGS  =

SUBDIRFLAGS = APXS=$(APXS) EXTRA=$(EXTRA)

all:
	@if [ ".$(APXS)" = .apxs -a ".`which apxs`" = . ]; then \
		echo ""; \
		echo "** ERROR: APXS tool not found."; \
		echo "** ERROR: You need Apache 1.3's APXS in your PATH"; \
		echo "** ERROR: Alternatively use 'make APXS=/path/to/bin/apxs'"; \
		echo ""; \
		exit 1; \
	fi
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=all subdirmove

install: 
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=install subdirmove

clean: 
	@$(MAKE) $(MFLAGS) $(SUBDIRFLAGS) TARGET=clean EXTRA=1 subdirmove

distclean: clean

subdirmove:
	@if [ ".`$(MAKE) -v dummy 2>/dev/null | grep 'GNU Make'`" != . ]; then \
		flag="--no-print-directory"; \
	else \
		flag=""; \
	fi; \
	if [ ".$(EXTRA)" = .0 ]; then \
	    subdirs="$(SUBDIRS)"; \
	else \
	    subdirs="$(SUBDIRS) $(EXTRA_SUBDIRS)"; \
	fi; \
	for dir in $$subdirs; do \
	    echo "===> $$dir ($(TARGET))"; \
		(cd $$dir; $(MAKE) $(MFLAGS) $$flag APXS="$(APXS)" APXSFLAGS="$(APXSFLAGS)" $(TARGET)) || exit 1; \
	    echo "<=== $$dir"; \
	done

dist:
	gtar --no-recursion -cvf - `find * -depth -print | sort` |\
    tardy --user_number=0  --user_name=rse \
          --group_number=0 --group_name=apache \
          --prefix=apache-contrib-$(V) - |\
    gzip --best >/tmp/apache-contrib-$(V).tar.gz && \
	mv /tmp/apache-contrib-$(V).tar.gz ..
	ls -l ../apache-contrib-$(V).tar.gz

release:
	scp README taz.apache.org:/www/apache.org/dist/contrib/modules/1.3/apache-contrib.README
	scp ../apache-contrib-$(V).tar.gz taz.apache.org:/www/apache.org/dist/contrib/modules/1.3/

view-release:
	cftp ftp://ftp.apache.org/dist/contrib/modules/1.3/

=== mod_ip_forwarding/Makefile ===

DSO   = mod_ip_forwarding.so
SRCS  = mod_ip_forwarding.c
OPTS  =

include ../Makefile.inc

=== apache-1.3.9/debian/changelog ===
apache (1.3.9-14.1) stable; urgency=high

  * Non-maintainer upload by security team
  * Add patch to fix CERT VU#944335

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 19 Jun 2002 00:15:30 +0200

apache (1.3.9-14) stable; urgency=high

  * Non-maintainer upload on behalf of Simon Huggins <huggie@earth.li>
  * Applied patch from Martin Kraemer to fix mod_negotiation bug to prevent
    revealing of directory contents.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 19 Jul 2001 14:26:46 +0100

apache (1.3.9-13.2) stable; urgency=high

  * Non-maintainer upload by Security Team
  * Applied patch from Greg K-H from WireX fixing insecure creation of
    tempfiles in htpasswd and htdigest.
  * Added one more incarnation of 'chmod +x debian/ubersed' was required
  * Backported security patch from 1.3.13 that fixes a bug in mod_rewrite
    that enables an attacker to be able to access any file on the web
    server.

 -- Martin Schulze <joey@debian.org>  Thu, 25 Jan 2001 23:44:06 +0100

apache (1.3.9-13.1) frozen; urgency=low

  * [RC] debian/scripts/source.unpack: Add "-f -" to call of tar since 
    older versions defaulted to /dev/rmt0 instead of stdin for the 
    archive path (closes: #62741).
  * [RC] debian/srm.conf: Fixed default character set configuration
    (closes: #62721).
  * [RC] debian/apacheconfig: Don't mess with the DocumentRoot by 
    default (closes: #60257).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 29 Apr 2000 10:10:55 +0200

apache (1.3.9-13) frozen unstable; urgency=medium

  * [RC, security] Backported security fix for Cross Site Scripting issue
    (CERT Advisory CA-2000-02) from apache 1.3.11 patch.
  * Added default charset iso-8859-1 to initial configs.
  * [RC, critical] Perl dependency reordered to "perl5 | perl", closes:
    #61421, #62427, #60575.
  * Postinst no longer complains on missing /etc/aliases, closes: #60575.
  * Cron script detects logfile lines with whitespace, closes: #59995.
  * Fixed apxs filename edited when enabling modules (missing /g in rules
    sed); suppressed linking to -ldbm, closes: #53172.
  * The apxs in apache-dev no longer needs apache binary, closes: #47221.
  * Perms registered for suexec changed to 4755 from 4555, closes: #60147.
  * Added text from beleagured Debian Webmasters to intro.html, making it
    clear the project is not responsible for installations, closes:
    #61414.
  * LICENSE file of manual included since 1.3.9-1, closes: #42940, #60994,
    #60995.

 -- Johnie Ingram <johnie@debian.org>  Sun, 16 Apr 2000 08:29:56 -0500

apache (1.3.9-12) frozen unstable; urgency=low

  * [RC] Cron script avoids killing itself, closes: #59365, #59647,
    #59672, #59659, #59694.
  * [RC] Order of mod_rewrite and mod_alias loading fixed, closes: #47038,
    #52893, #58465.
  * [RC] Deleted line 284 of debian/rules (suid suexec), set it
    unexecutable by default, closes: #59588, #44096.
  * Loophole in console message policy exploited, closes: #23848,
    #39304, #47033, #58848.
  * Webmaster mail alias is added if needed, so apacheconfig doesn't
    ask about this during package install, closes: #38068.
  * Option --manual-modules added to apacheeconfig, so default (and
    correct in amost all cases) is to work module magic automatically,
    closes: #38068, #45301.
  * New full-auto mode added to apacheconfig for postinst "initial setup"
    use: unlike mere --update, httpd.conf and srm.conf are installed, no
    questions are asked, and some backups are omitted.
  * Added LANG=C to init script, so apache doesn't write unparsable
    logfiles, closes: #42202.
  * Apacheconfig does not attempt to set non-/var/www documentroot (since
    1.3.9 T3B), closes: #27701, #38066, #51733.
  * All incorrect manpage references to "httpd" are corrected by ubersed,
    closes: #54465.
  * Apacheconfig script does not stop apache if it isn't running.
  * Included improved suexec from Robert Varga that understands <--#exec
    with parameters (ported from 1.3.3), and includes HTTPS and
    REDIRECT_HTTPS vars, closes: #47951.

 -- Johnie Ingram <johnie@debian.org>  Thu,  9 Mar 2000 05:15:12 -0600

apache (1.3.9-11) frozen unstable; urgency=low

  * Reversed openldap2 patch, potato uses v1; closes: #49849, #58168.
  * Added debhelper tag to apache-common postinst, so doc symlink
    management works.
  * Added info file for mod_auth_mysql, closes: #56862.
  * Updated version of mod_throttle, closes: #52683.
  * Fixed example logfile locations in httpd.conf, closes: #49113.
  * Removed info files for modules not included in apache-common, closes:
    #55750, #58732.
  * Default srm.conf AddLanguage corrected from .jp to .ja, closes: #58134.
  * Added sharutils to Build-Depends (due to uudecode in rules).
  * Removed AuthAuthoritative from mod_auth_sys info (it duplicates
    command in mod_auth), closes: #45708.
  * Cron script reloads apache with a -HUP, if possible, instead of using
    apachectl which may have undesired side effects, closes: #57333.
  * Disabled phf.apache.org error in default access.conf, closes: #51732.
  * Group for new /var/www directory changed from www-data to root,
    closes: #53498.
  * Default srm.conf restricts /doc/ to localhost, closes: #34099. 
  
 -- Johnie Ingram <johnie@debian.org>  Sat, 26 Feb 2000 13:49:08 -0600

apache (1.3.9-10) unstable; urgency=low

  * Systemwide mime types file is used, closes: 45428.
  * The setenvif module is loaded by default, so running apacheconfig
    isn't necessary (a problem discovered by doogie).

 -- Johnie Ingram <johnie@debian.org>  Sat, 30 Oct 1999 21:09:43 -0500

apache (1.3.9-8) unstable; urgency=low

  * Made ubersed executable, fixing random default-config problems,
    closes: #44151, #45566, #45557.

 -- Johnie Ingram <johnie@debian.org>  Mon, 20 Sep 1999 18:01:34 -0500

apache (1.3.9-7) unstable; urgency=low

  * Compile fix for the DBS from Daniel Jacobowitz.

 -- Johnie Ingram <johnie@debian.org>  Tue, 14 Sep 1999 23:10:35 -0500



=== debian/changelog ===
apache-perl (1.3.9-14.1-1.21.20000309-1) stable-security; urgency=high

  * Update to Apache package version 1.3.9-14.1.  Fixes security problems
    including CERT VU#944335 (chunked encoding).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 20 Jun 2002 10:01:00 -0400

apache-perl (1.3.9-13.1-1.21.20000309-1) frozen unstable; urgency=medium

  * Update to current potato versions of apache and mod_perl.
  * This is release-critical - apache 1.3.9-13 and 1.3.9-13.1 contain
    important compatibility and security fixes (Closes: #62723).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 30 Apr 2000 11:48:36 -0400

apache-perl (1.3.9-12-1.21.20000306-1) frozen unstable; urgency=medium

  * New Debian version of apache, also closing RC bugs.
  * -1's fixes (never installed) make the package functional on
    a clean install again (Closes: #57679).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 13 Mar 2000 10:25:41 -0500

apache-perl (1.3.9-11-1.21.20000306-1) frozen unstable; urgency=medium

  * New Debian version of apache, closing RC bugs.
  * New upstream version of mod_perl, also closing RC bugs.
  * Do not remove all empty directories; apache should have, e.g.,
    /etc/apache.
  * Make /usr/sbin/apacheconfig know the location of our example config
    files.
  * Do not install most of apache-dev under /usr/lib/perl5 (oops).

 -- Daniel Jacobowitz <dan@debian.org>  Tue,  7 Mar 2000 17:33:50 -0500

apache-perl (1.3.9-10-1.21-6) unstable; urgency=low

  * Initial release.
  * Based on apache 1.3.9-10 and libapache-mod-perl 1.21-6
  * De-debhelperize the main dummy rules file most of the way;
    debhelper is too smart to let us do the evil things we want to do.

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  7 Nov 1999 20:17:11 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "dan@debian.org"
End:

=== libapache-mod-perl-1.21.20000309/debian/changelog ===
libapache-mod-perl (1.21.20000309-1) frozen unstable; urgency=high

  * New upstream release fixing a segfault in the DSO handling at startup.

 -- Daniel Jacobowitz <dan@debian.org>  Thu,  9 Mar 2000 12:14:48 -0500

libapache-mod-perl (1.21.20000306-1) frozen unstable; urgency=high

  * New upstream version, incorporating many of our patches -
    this is a bugfix release, and I consider it release-critical.
  * This does not eliminate the memory leaks, as many of them
    are not the fault of this package but of greater design problems
    in Perl; it does reduce them to about 40K from 3MB in my tests,
    so I am downgrading the bugs.
  * Clean up mod_perl_version.h better; reduce diff bloat further.
  * Do not install mod_perl.exp (AIX specific linker file).
  * Add #DEBHELPER# to postinst/prerm to handle /usr/doc.
  * Remove the 'Restart Apache?' question in the postinst.
    Also remove the 'Enable?' question.  Let the user do this by hand.
    This is fine; we'll appear commented out in the configuration
    file if we are installed along with apache, and otherwise
    the user probably knows what they want to do.  The "Restart?"
    question was also removed from the prerm, and we are now
    human-interaction-free, as we should be.
  * Remove silly bash dependency in the postinst.

 -- Daniel Jacobowitz <dan@debian.org>  Tue,  7 Mar 2000 00:00:12 -0500

libapache-mod-perl (1.21.20000114-4) frozen unstable; urgency=high

  * Attempt to shut perl down on restarts.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 21 Jan 2000 10:36:27 -0500

libapache-mod-perl (1.21.20000114-3) frozen unstable; urgency=high

  * Remove the hideous hack for DSO unloading, and implement a proper fix.
    This should prevent a few random crashes introduced by the 'fix',
    and work much more reliably.
  * Verified to work on Sparc (Closes: #47273).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 16 Jan 2000 00:41:12 -0500

libapache-mod-perl (1.21.20000114-2) frozen unstable; urgency=high

  * Rebuild - Apache/Server.pm got lost somehow.
  * Remove .cvsignore files from build.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 15 Jan 2000 21:12:45 -0500

libapache-mod-perl (1.21.20000114-1) unstable; urgency=medium

  * New upstream version from CVS.
  * Upstream seems to have fixed PATH corruption (Closes: #45564).
  * Don't preserve mod_perl_version.h any more; the CVS archive
    doesn't contain it.
  * Use $(MAKE), not make, to preserve any -j options when building.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 14 Jan 2000 18:21:12 -0500

libapache-mod-perl (1.21-6) unstable; urgency=medium

  * Support non-interactive installs, for buildd friendliness.
    Closes: #45061.
  * Don't assume httpd.conf is present (Closes: #52062).
  * Update to FHS (Closes: #45753).
  * Add dependency on liburi-perl.
  * Remove dh_testroot from clean target - clean does not always need
    root priviledges.
  * Add a kludge to prevent DBD::Pg from clobbering the environment
    (Closes: #48069).
  * Add an even more revolting kludge to prevent random crashes:
    mod_perl fails if ANY module is unloaded from the server.
    This needs (A) a better implementation if it is the accepted thing to
    do, and (B) a better understanding of the real problem.  Without
    the hack, scripts get loaded on top of Perl's state variables
    (Closes: #48634, #46906)
  * Edit Makefile.PL to make PERL_DEBUG=1 work with USE_DSO.
  * Update standards-version.
  * Add build dependencies.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 13 Jan 2000 04:55:32 -0500

libapache-mod-perl (1.21-5) unstable; urgency=medium

  * Recompile for apache 1.3.9.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 13 Sep 1999 11:17:12 -0400

libapache-mod-perl (1.21-4) unstable; urgency=medium

  * 1.21-3 retracted.  Fix even stupider rules thinkos.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 21 Jul 1999 10:56:01 -0400

libapache-mod-perl (1.21-3) unstable; urgency=medium

  * Fix rules thinkos.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 21 Jul 1999 10:56:01 -0400

libapache-mod-perl (1.21-2) unstable; urgency=medium

  * Integrate Michael's proposed NMU (closes: bug#40016, bug#41531,
    bug#40924, bug#41116, bug#41448).
  * Notice that slink/binary-alpha is out of my hands (closes: bug#33921).
  * Fix precedence problem in Apache::StatINC (patch from Roderick Schertler
    <roderick@argon.org>) (closes: bug#40728).
  * Fix modification of $_ in Apache.pm (patch from Roderick Schertler
    <roderick@argon.org>) (closes: bug#41544).
  * Scrap dh_perl use in favor of a scheme which lets me build
    libapache-mod-perl-5.004.
  * Lintian cleanups:
    * #!/user/local/bin/perl -> #!/usr/bin/perl
    * Make .pm and .pl files non-executable
  * Fix stupid typo in debian/rules (missing -f in test).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 20 Jul 1999 11:40:12 -0400

libapache-mod-perl (1.21-1) unstable; urgency=low

  * New upstream version.
  * Test for apachectl in postrm (fixes: bug#40016).
  * Modified for new perl packages.

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  6 Jul 1999 10:07:05 -0400

libapache-mod-perl (1.19-1) unstable; urgency=low

  * New upstream version.
  * Merge changes from Johnie's NMU (and clean up some of his
    scribblings in debian/).
  * Revert version display patch (upstream fix).
  * Add hacks in debian/rules clean to preserve some files
    (src/modules/perl/mod_perl_version.h and apaci/mod_perl.config).
  * Revert Makefile.PL hacks.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 21 Apr 1999 11:10:02 -0400

libapache-mod-perl (1.17-1.1) unstable; urgency=low

  * Compile for Apache 1.3.6.
  * Added dependency on the libwww-perl suite, libdevel-symdump-perl
    et. al, closes: #32047.
  * Changed debian/rules to reflect apxs in /usr/bin.
  * The postinst now uses apache-sslctl if that exists, closes: #34036.  
  * Patched to show mod_perl in the Apache string once only, closes:
    #31885.



=== debian/control ===
Source: apache-perl
Section: web
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.0.1.1
Build-Depends: libopenldap1-dev, libgdbmg1-dev, libmysqlclient6-dev, postgresql-dev, sharutils

Package: apache-perl
Architecture: any
Depends: ${shlibs:Depends}, mime-support, apache-common (>= 1.3.9), apache-common (<< 1.3.10), perl-5.005, libwww-perl, libmime-base64-perl, libdevel-symdump-perl, data-dumper, liburi-perl
Suggests: apache-doc
Conflicts: apache-modules, apache, libapache-mod-perl
Replaces: apache-modules, apache, libapache-mod-perl
Provides: httpd, apache, libapache-mod-perl
Priority: optional
Description: Versatile, high-performance HTTP server with added Perl support
 This version of Apache contains the mod_perl module statically linked.
 .
 The most popular server in the world, Apache features a modular
 design and supports dynamic selection of extension modules at runtime.
 Some of its strong points are its range of possible customization,
 dynamic adjustment of the number of server processes, and a whole
 range of available modules including many authentication mechanisms,
 server-parsed HTML, server-side includes, access control, CERN httpd
 metafiles emulation, proxy caching, etc.  Apache also supports multiple
 virtual homing.
 .
 Separate Debian packages are available for PHP3, Java Servlet support,
 Apache-SSL, and other common extensions.  More information is available
 at http://www.apache.org/.

=== libapache-mod-perl-1.21.20000309/debian/control ===
Source: libapache-mod-perl
Section: web
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Standards-Version: 3.1.1.1
Build-Depends: apache-dev, debhelper, libwww-perl, perl-5.005, libdevel-symdump-perl, libhtml-parser-perl, libgdbmg1-dev

Package: libapache-mod-perl
Architecture: any
Depends: apache-common (>= 1.3.9-0), apache-common (<< 1.3.10-0), perl-5.005, libwww-perl, libmime-base64-perl, libdevel-symdump-perl, data-dumper, liburi-perl, ${shlibs:Depends}
Description: Integration of perl with the Apache web server
 mod_perl allows the use of Perl for just about anything
 Apache-related, including <Perl> sections in the config
 files and the famous Apache::Registry module for caching
 compiled scripts.
 .
 It can produce anywhere from a 400% to 2000% speed increase
 on sites using perl scripts, and is used on many large script-
 based web sites - for example, http://slashdot.org.

=== apache-1.3.9/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Made with the aid of dh_make, by Craig Small.
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Christoph Lameter.
# And from the X build system by Adam Heath.

B=$(SOURCE_DIR)/apache_1.3.9
C=$(SOURCE_DIR)/apache-contrib-1.0.7
L=$(SOURCE_DIR)/auth_ldap-1.4.0


CONFARGS =      --target=apache --with-layout=Debian \
		--enable-suexec --suexec-caller=www-data \
		--suexec-docroot=/var/www --includedir=/$(inc) \
		--suexec-logfile=/var/log/apache/suexec.log \
		--without-confadjust --without-execstrip \
		--enable-shared=max --enable-rule=SHARED_CHAIN \
		--enable-module=most --enable-module=status \
		--enable-module=log_referer --enable-module=log_agent \
		--enable-module=auth_db $(EXTRA_CONFARGS) \
		--activate-module=src/modules/extra/mod_macro.c
CONFCMD = cd $(B) && ./configure $(CONFARGS)

include debian/scripts/vars
SHELL=/bin/bash
BUILDINFO=make dpkg-dev debian-policy debhelper
IN_TARGETS=$(patsubst %,debian/%,docs apache-dev.docs \
	apache-doc.docs apache-common.examples examples)

# Uncomment this to turn on verbose modes.
# export DH_VERBOSE=1
# export NOISY=1

FHS=$(shell test -f /usr/share/doc/debhelper/copyright && echo FHS)
ifeq ($(FHS),FHS)
doc=usr/share/doc/apache
man=usr/share/man
else
doc=usr/doc/apache
man=usr/man
endif

lib=usr/lib/apache/1.3
inc=usr/include/apache-1.3


build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	@echo -e "\n\n*** Compiling daemon and modules\n"	
	cd $(B) && $(MAKE)
	@echo -e "\n--- modules: engelschall apache-contrib ---\n"
	cd $(C) && $(MAKE) APXS=$(CURDIR)/debian/local-apxs
	@echo -e "\n--- modules: netgods debian-contrib ---\n"
	cd contrib && $(MAKE) -k APXS=$(CURDIR)/debian/local-apxs
	@echo -e "\n--- modules: ldap suite ---\n"
	-cd $(L) && $(MAKE) APXS=$(CURDIR)/debian/local-apxs \
		INCLUDES=-I/usr/include/openldap OPENLDAP=-DWITH_OPENLDAP \
		FRONTPAGE=-DAUTH_LDAP_FRONTPAGE_HACK

#	-cd $(L) && $(MAKE) APXS=$(CURDIR)/debian/local-apxs \
#		INCLUDES=-I/usr/include/openldap2 \
#		LIBS="/usr/lib/liblber-openldap2.a /usr/lib/libopenldap2.a" \
#		OPENLDAP=-DWITH_OPENLDAP \
#		FRONTPAGE=-DAUTH_LDAP_FRONTPAGE_HACK

	@echo -e "\n--- sanity: module manifest check ---\n"
	find $(B)/ $(C)/ $(L)/ contrib/ -mindepth 2 \
		-name "*.so" -exec install -m 644 {} $(B) \;
	install -m 644 contrib/mod_autoindex/*.so $(B)
	@set -e; echo; cd $(B) && cat $(CURDIR)/debian/module-manifest \
		| xargs -i ls -l --no-group {}; echo
	touch build-stamp

source.make: $(STAMP_DIR)/source.make
$(STAMP_DIR)/source.make:
	$(MAKE) -f debian/sys-build.mk source.make

configure-stamp: $(STAMP_DIR)/source.make
	@echo -e "\n\n*** Commencing laborious build of Debian Apache \
		1.3 $(FHS)\n"

	@echo -e "\n--- sanity: source code check ---\n"
	test -f /usr/include/mysql.h -o /usr/include/mysql/mysql.h
	test -f /usr/include/postgresql/postgres.h
	set -e ; for foo in debian/*inst* debian/*ostrm debian/*rerm ; \
		do echo -n "$$foo " ; sh -n $$foo ; done ; echo

#	These modules either have no licence or ownership statement,
#	or are seriously non-free.
	test ! -d $(C)/mod_cache
	test ! -d $(C)/mod_lock
	test ! -d $(C)/mod_cvs

	@echo -e "\n--- patch: EAPI support ---\n"
	cp build-tree/pkg.eapi/*.h $(B)/src/include
	cp build-tree/pkg.eapi/*.c $(B)/src/ap

	@echo -e "\n--- configure: APACI and APXS ---\n"
	cp $(C)/mod_macro/mod_macro.c $(B)/src/modules/extra

	$(CONFCMD)

	chmod +x debian/ubersed
	(debian/ubersed $(B)/src/apaci; \
		cat debian/apaci.append) > debian/apaci
	install debian/apaci $(B)/src/apaci

	cd $(B)/src/support && $(MAKE) apxs
	set -e; INCL=$$(echo $$(pwd)/$(B)/src/include); \
	 SBIN=$$(echo $$(pwd)/$(B)/src); sed \
	   	-e "s;^#!/.*;#!/usr/bin/perl;" \
		-e "s;\@prefix\@;/usr;" \
		-e "s;\@sbindir\@;$$SBIN;" \
		-e "s;\@libexecdir\@;/usr/lib/apache/1.3;" \
		-e "s;\@includedir\@;$$INCL;" \
		-e "s;\@sysconfdir\@;/etc/apache;" \
		-e "s;/httpd;/apache;g" \
		-e "s;-lm;-lc -lm;" \
		-e "s;-ldbm -ldb;-ldb;" \
		-e "s;-DTARGET;-DEAPI -DTARGET;" \
		-e "s;\$$CFG_TARGET.conf;httpd.conf;g" \
		$(B)/src/support/apxs > debian/local-apxs; \
	set -e; INCL=$$(echo $$(pwd)/$(B)/src/include); \
	 SBIN=$$(echo $$(pwd)/$(B)/src); sed \
		-e "s;$$INCL;/usr/include/apache-1.3;" \
		-e "s;$$SBIN;/usr/sbin;" \
		debian/local-apxs > debian/apxs
	chmod +x debian/{apxs,local-apxs}
	cp -a $(B)/src/os/unix/{*.h,*inline.c} \
		 $(B)/src/include
#	cd $(L) && patch -p1 < $(CURDIR)/debian/openldap.patch
	cp -v debian/suexec-1.3.9-debian.c \
		build-tree/apache_1.3.9/src/support/suexec.c
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp install-stamp configure-stamp
	rm -f debian/apaci debian/Buildinfo.Debian
	rm -f debian/{*.gif,*.jpg,*.gz,local-apxs,apxs} o debian/o
	rm -rf debian/debian $(IN_TARGETS) contrib/*/*o
	chmod +x debian/{*post*,*preinst*,*prerm*,cron.daily,modchk}
	chmod +x debian/{ubersed,apacheconfig,sys-build.mk,scripts/*.*}
	$(MAKE) -f debian/sys-build.mk source.clean
	rm -rf debian.diff debian/stampdir
	dh_clean

install: install-stamp
install-stamp: build-stamp $(IN_TARGETS)
	@echo -e "\n\n*** So Far So Good\n"
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cd debian && uudecode logos.uue && tar -zxf logos.tar.gz
	mkdir -p debian/tmp/$(doc)

	@echo -e "\n--- install: apache ---\n"
	mkdir -p debian/tmp/$(man)/man8
	chmod +x debian/ubersed
	install $(B)/src/apache \
		debian/apacheconfig debian/tmp/usr/sbin
	debian/ubersed < $(B)/src/support/apachectl \
		>>  debian/tmp/usr/sbin/apachectl
	chmod +x debian/tmp/usr/sbin/apachectl
	debian/ubersed < $(B)/src/support/httpd.8 \
		> debian/tmp/$(man)/man8/apache.8
	debian/ubersed < $(B)/src/support/apachectl.8 \
		> debian/tmp/$(man)/man8/apachectl.8
	cp -a debian/apacheconfig.8 debian/tmp/$(man)/man8

	@echo -e "\n--- install: apache-common ---\n"

	mkdir -p debian/apache-common/{$(lib),usr/share/apache/icons}
	mkdir -p debian/apache-common/usr/{bin,sbin}
	cp -a info/* $$(find $(B) contrib/ -maxdepth 1 -name "*.so") \
		debian/apache-common/$(lib)
	cp -a $(B)/icons/*.gif debian/*.gif debian/*.jpg debian/debian \
		debian/apache-common/usr/share/apache/icons
	mkdir -p debian/apache-common/$(doc)-common
	cp -a $(B)/icons/README \
		debian/apache-common/$(doc)-common/README.icons
	cp -a $(B)/src/support/suexec.{c,h} \
		$(B)/src/include/ap_config.h \
		debian/apache-common/$(doc)-common/
	mkdir -p debian/apache-common/$(man)/man{1,8}

	install $(B)/src/support/suexec \
		debian/apache-common/usr/lib/apache/suexec
	install $(B)/src/support/{logresolve,rotatelogs,ab} \
		debian/apache-common/usr/sbin
	debian/ubersed < $(B)/src/support/suexec.8 \
		> debian/apache-common/$(man)/man8/suexec.8
	debian/ubersed < $(B)/src/support/logresolve.8 \
		> debian/apache-common/$(man)/man8/logresolve.8
	debian/ubersed < $(B)/src/support/rotatelogs.8 \
		> debian/apache-common/$(man)/man8/rotatelogs.8
	debian/ubersed < $(B)/src/support/ab.8 \
		> debian/apache-common/$(man)/man8/ab.8

	install $(B)/src/support/{htpasswd,htdigest,dbmmanage} \
		debian/apache-common/usr/bin
	debian/ubersed < $(B)/src/support/htpasswd.1 \
		> debian/apache-common/$(man)/man1/htpasswd.1
	debian/ubersed < $(B)/src/support/htdigest.1 \
		> debian/apache-common/$(man)/man1/htdigest.1
	debian/ubersed < $(B)/src/support/dbmmanage.1 \
		> debian/apache-common/$(man)/man1/dbmmanage.1

	for foo in auth_cookie auth_external lock put roaming ; \
		do echo "++ $(C)/mod_$$foo/README" ; \
		cp -a $(C)/mod_$$foo/README \
		debian/apache-common/$(doc)-common/README.mod_$$foo \
		; done
	for foo in $(C)/*/*html $(L)/auth_ldap.html ; \
		do echo "++ $$foo" ; cp -a $$foo \
		debian/apache-common/$(doc)-common/ ; done
	rm -f $$(find debian/apache-common -name "*fastcgi*" -o -name "*~")
	@echo -e "\n--- sanity: module .info check ---\n"
	chmod +x debian/modchk && debian/modchk

	@echo -e "\n--- install: apache-dev ---\n"
	mkdir -p debian/apache-dev/$(man)/man{1,8} \

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

A := $(wildcard apache-*)
P := $(wildcard libapache-mod-perl-*)

APACHE_VER := $(shell echo $(A) | sed "s/apache-//")
NEXT_VER   := $(shell echo $(APACHE_VER) | awk -F. '{OFS="."; $$NF = $$NF + 1; print}')

# This mess only has the desired result if the latest perl is installed.
ifndef PERL
  PERL = /usr/bin/perl
endif

archlib = debian/tmp$(shell $(PERL) -MConfig -e 'print "$$Config{installarchlib}";')

USR_BIN_PERL_VER := $(shell /usr/bin/perl -e 'printf "%.3f", $$]')
DOLLAR_PERL_VER  := $(shell $(PERL) -e 'printf "%.3f", $$]')

ifeq ($(DOLLAR_PERL_VER),$(USR_BIN_PERL_VER))
  PERL_PACKNAME =
else
  PERL_PACKNAME = -$(PERL_VER)
endif

build: build-stamp
build-stamp:
	dh_testdir

	if [ -f $(P)/apaci/mod_perl.config -a '!' -f $(P)/apaci/mod_perl.config.backup ]; \
	then \
	  echo 'Preserving mod_perl.config ...'; \
	  cp $(P)/apaci/mod_perl.config $(P)/apaci/mod_perl.config.backup; \
	fi

	$(MAKE) -C $(A) -f debian/rules \
	  CONFCMD="cd $(shell pwd)/$(P) && $(PERL) Makefile.PL \
		   USE_DSO=0 USE_APACI=1 DO_HTTPD=1 \
		   APACHE_SRC=$(shell pwd)/$(A)/\$$(B)/src \
		   APACI_ARGS=\"\$$(CONFARGS)\" \
		   PERL_SECTIONS=1 PERL_SSI=1 PERL_METHOD_HANDLERS=1 ALL_HOOKS=1 \
		   PERL_TIE_TABLES=1 PERL_DIRECTIVE_HANDLERS=1 PERL_STACKED_HANDLERS=1 \
		   PERL_TRACE=0 PERL_LOG_API=1 PERL_URI_API=1 PERL_UTIL_API=1 \
		   PERL_TABLE_API=1 PERL_FILE_API=1" \
		EXTRA_CONFARGS="--disable-shared=perl" \
		build
	$(MAKE) -C $(P)
	touch build-stamp

debian/control: debian/control.in
	sed -e 's/THISAPACHE/$(APACHE_VER)/g' -e 's/NEXTAPACHE/$(NEXT_VER)/g' \
	    -e 's/PERL_PACKNAME/$(PERL_PACKNAME)/g' \
	    -e 's/PERLVER/$(DOLLAR_PERL_VER)/g' \
		< debian/control.in > debian/control

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

	(cd $(P) && $(MAKE) -f debian/rules clean)
	(cd $(A) && $(MAKE) -f debian/rules clean)

	rm -f debian/control
	$(MAKE) -f debian/rules debian/control

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k

	# Add here commands to install the files into debian/tmp
	$(MAKE) -C $(A) -f debian/rules binary-pre-arch

	cp -a $(A)/debian/tmp debian/tmp

	$(MAKE) -C $(P) PREFIX=`pwd`/debian/tmp/usr \
		INSTALLMAN3DIR=`pwd`/debian/tmp/usr/share/man/man3 \
		INSTALLMAN1DIR=`pwd`/debian/tmp/usr/share/man/man1 install_perl

	find `pwd`/debian/tmp \( -name .packlist -o -name perllocal.pod \
	  -o -name .cvsignore \) -exec rm -f '{}' \;

	dh_installdocs
	dh_installchangelogs

	mv debian/tmp/usr/share/doc/apache debian/tmp/usr/share/doc/apache-perl/apache
	mkdir debian/tmp/usr/share/doc/apache-perl/modperl
	cp -a $(P)/eg/ debian/tmp/usr/share/doc/apache-perl/modperl/examples
	cp $(P)/Changes debian/tmp/usr/share/doc/apache-perl/modperl/changelog
	cp $(P)/ToDo debian/tmp/usr/share/doc/apache-perl/modperl/TODO
	cp $(P)/README debian/tmp/usr/share/doc/apache-perl/modperl/README
	cp $(P)/debian/copyright debian/tmp/usr/share/doc/apache-perl/modperl/copyright
	cp $(P)/debian/changelog debian/tmp/usr/share/doc/apache-perl/modperl/changelog.Debian

	# Why does this happen?
	if [ -f $(archlib)/auto/Apache/include/include/ap_config_auto.h ]; then	\
	  mv $(archlib)/auto/Apache/include/include/ap_config_auto.h		\
	    $(archlib)/auto/Apache/include/ap_config_auto.h;			\
	fi

	# Remove other headers, leaving modules/perl/*.h and ap_config_auto.h
	find $(archlib) -path '*/modules/perl' -prune -o -name ap_config_auto.h -prune -o \
	 \( -type f -name \*.h -o -name os-inline.c \) -exec rm -f '{}' ';'

	find `pwd`/debian/tmp -type f -name mod_perl.exp -exec rm '{}' ';'
	find `pwd`/debian/tmp -type f \( -name \*.pm -o -name \*.pl -o -name \*.h \) \
	  -exec chmod a-x '{}' \;

	# Clean up empty directories.  Did I mention that find was evil?
	for d in `find $(archlib) -type d -empty -print`; do \
		rmdir --ignore-fail-on-non-empty --parents $$d; \
	done

	dh_strip
	dh_compress -a --exclude=log_server_status \
                --exclude=httpd.conf --exclude=access.conf --exclude=srm.conf
	dh_fixperms
	dh_shlibdeps

	# Placed down here so we don't get clobbered by debhelper's opinion
	# of what we ought to do for our own documentation.
	cp -f $(A)/debian/tmp/DEBIAN/{pre,post}{inst,rm} debian/tmp/DEBIAN/

	sed 's#doc/apache#doc/apache-perl#g' \
		< debian/tmp/DEBIAN/postinst > debian/tmp/DEBIAN/postinst.tmp
	sed 's#doc/apache#doc/apache-perl#g' \
		< debian/tmp/DEBIAN/prerm > debian/tmp/DEBIAN/prerm.tmp
	mv -f debian/tmp/DEBIAN/postinst.tmp debian/tmp/DEBIAN/postinst
	mv -f debian/tmp/DEBIAN/prerm.tmp debian/tmp/DEBIAN/prerm
	chmod 755 debian/tmp/DEBIAN/{pre,post}{inst,rm}

	sed 's#doc/apache#doc/apache-perl/apache#g' \
		< debian/tmp/usr/sbin/apacheconfig > debian/tmp/usr/sbin/apacheconfig.tmp
	mv -f debian/tmp/usr/sbin/apacheconfig.tmp debian/tmp/usr/sbin/apacheconfig
	chmod 755 debian/tmp/usr/sbin/apacheconfig

	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== libapache-mod-perl-1.21.20000309/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEV_DPKG_VERSION := $(shell dpkg -s apache-dev | awk '/Version:/ {print $2}')
DEV_VERSION := $(shell echo $(DEV_DPKG_VERSION) | sed "s/^Version: \(.*\)-.*$$/\1/")
# (From the egcs packaging)
NEXTVERNO := $(shell echo $(DEV_VERSION) | awk -F. '{OFS="."; $$NF = $$NF + 1; print}')

# This mess only has the desired result if the latest perl is installed.
ifndef PERL
  PERL = /usr/bin/perl
endif

USR_BIN_PERL_VER := $(shell /usr/bin/perl -e 'printf "%.3f", $$]')
DOLLAR_PERL_VER  := $(shell $(PERL) -e 'printf "%.3f", $$]')

PERL_DEPEND = perl-$(DOLLAR_PERL_VER)

ifeq ($(DOLLAR_PERL_VER),$(USR_BIN_PERL_VER))
  PERL_PACKNAME =
else
  PERL_PACKNAME = -$(PERL_VER)
endif

ifneq ($(wildcard /usr/lib/libperl5.so.*.*),)
  LIBPERL := -lperl5
else
  LIBPERL := DEFAULT
endif

build: build-stamp
build-stamp:
	dh_testdir

# This file isn't in the CVS archive.  Decrease my hack count by one by not
# preserving it any more.
#	# Preserve files
#	if [ -f src/modules/perl/mod_perl_version.h -a \
#	    '!' -f src/modules/perl/mod_perl_version.h.backup ]; \
#	then \
#	  echo 'Preserving mod_perl_version.h ...'; \
#	  cp src/modules/perl/mod_perl_version.h \
#	   src/modules/perl/mod_perl_version.h.backup; \
#	fi

	if [ -f apaci/mod_perl.config -a '!' -f apaci/mod_perl.config.backup ]; \
	then \
	  echo 'Preserving mod_perl.config ...'; \
	  cp apaci/mod_perl.config apaci/mod_perl.config.backup; \
	fi

	$(PERL) Makefile.PL USE_APXS=1 WITH_APXS=/usr/bin/apxs \
		PERL_SECTIONS=1 PERL_SSI=1 PERL_METHOD_HANDLERS=1 ALL_HOOKS=1 \
		PERL_TIE_TABLES=1 PERL_DIRECTIVE_HANDLERS=1 PERL_STACKED_HANDLERS=1 \
		PERL_TRACE=0 PERL_LOG_API=1 PERL_URI_API=1 PERL_UTIL_API=1 \
		PERL_TABLE_API=1 PERL_FILE_API=1 # PERL_DEBUG=1
	$(MAKE)
	touch build-stamp

debian/control: debian/control.in
	sed -e 's/THISDEV/$(DEV_VERSION)/g' -e 's/NEXTDEV/$(NEXTVERNO)/g' \
	    -e 's/PERL_PACKNAME/$(PERL_PACKNAME)/g' \
	    -e 's/PERL_DEPEND/$(PERL_DEPEND)/g' \
		< debian/control.in > debian/control

clean:
	dh_testdir
	rm -f build-stamp
	dh_clean

	rm -f lib/Apache/MyConfig.pm t/docs/test.shtml \
		 t/net/config.pl t/net/perl/cgi.pl t/report t/conf/httpd.conf{,.old} \
		 t/httpd.conf apaci/find_source lib/mod_perl_hooks.pm
	find . -name .tmp.\* -exec rm -rf {} \;
	([ -f Makefile ] && $(MAKE) distclean) || true
	chmod -R u+w .
	rm -f debian/control
	$(MAKE) -f debian/rules debian/control

# See above.
#	if [ -f src/modules/perl/mod_perl_version.h.backup ]; then \
#	  echo 'Reverting mod_perl_version.h ...'; \
#	  mv -f src/modules/perl/mod_perl_version.h.backup \
#	   src/modules/perl/mod_perl_version.h; \
#	fi
# So just delete it.
	rm -f src/modules/perl/mod_perl_version.h

	if [ -f apaci/mod_perl.config.backup ]; then \
	  echo 'Reverting mod_perl.config ...'; \
	  mv -f apaci/mod_perl.config.backup apaci/mod_perl.config; \
	fi

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) PREFIX=`pwd`/debian/tmp/usr INSTALLMAN3DIR=`pwd`/debian/tmp/usr/share/man/man3 \
		INSTALLMAN1DIR=`pwd`/debian/tmp/usr/share/man/man1 install_perl

	find `pwd`/debian/tmp \( -name .packlist -o -name perllocal.pod \) -exec \
	  rm -f '{}' \;
	# Why does this return nonzero?
	-find `pwd`/debian/tmp -type d -print0 | xargs -0 \
	  --no-run-if-empty rmdir -p --ignore-fail-on-non-empty

	mkdir -p debian/tmp/usr/lib/apache/1.3
	cp apaci/libperl.so debian/tmp/usr/lib/apache/1.3/mod_perl.so
	chmod 644 debian/tmp/usr/lib/apache/1.3/mod_perl.so
	cp debian/400mod_perl.info debian/tmp/usr/lib/apache/1.3/400mod_perl.info

	dh_installdocs
	cp -a eg/ debian/tmp/usr/share/doc/libapache-mod-perl/examples
	(cd debian/tmp/usr/share/doc/libapache-mod-perl && mv Changes changelog)

	find `pwd`/debian/tmp -type f \( -name \*.pm -o -name \*.pl \) \
	  -exec chmod a-x '{}' \;

	find `pwd`/debian/tmp -type f -name .cvsignore -exec rm '{}' ';'

	find `pwd`/debian/tmp -type f -name mod_perl.exp -exec rm '{}' ';'

	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## apache-perl 1.3.9-14.1-1.21.20000309-1.1

=== debian/changelog ===
apache-perl (1.3.9-14.1-1.21.20000309-1.1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Backport security fixes from 1.3.27 for the following issues:
    - CAN-2002-0839 (shared memory scoreboard uid/gid)
    - CAN-2002-0840 (cross-site scripting in error page)
    - CAN-2002-0843 (buffer overflows in ApacheBench ab.c)
  * Added fix against two overflowed buffer in the htdigest program

 -- Martin Schulze <joey@infodrom.org>  Tue,  5 Nov 2002 11:33:19 +0100
